package com.loafle.overflow.model.meta;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_VENDOR_CRAWLER", schema = "public")
public class MetaVendorCrawler {
    private int id;
    private MetaCrawler crawler;
    private MetaInfraVendor infraVendor;
    private Date createDate;

    @Id
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    @ManyToOne
    @JoinColumn(name = "CRAWLER_ID", nullable = false)
    public MetaCrawler getCrawler() {
        return crawler;
    }

    public void setCrawler(MetaCrawler crawler) {
        this.crawler = crawler;
    }

    @ManyToOne
    @JoinColumn(name = "VENDOR_ID", nullable = false)
    public MetaInfraVendor getInfraVendor() {
        return infraVendor;
    }

    public void setInfraVendor(MetaInfraVendor infraVendor) {
        this.infraVendor = infraVendor;
    }

    //    @Basic
//    @Column(name = "CRAWLER_ID", nullable = false)
//    public short getCrawlerId() {
//        return crawlerId;
//    }
//
//    public void setCrawlerId(short crawlerId) {
//        this.crawlerId = crawlerId;
//    }
//
//    @Basic
//    @Column(name = "VENDOR_ID", nullable = false)
//    public int getVendorId() {
//        return vendorId;
//    }
//
//    public void setVendorId(int vendorId) {
//        this.vendorId = vendorId;
//    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

}
